Bug 1187495 - new version breaks dependencies on epel6
Summary: new version breaks dependencies on epel6
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: golang-googlecode-goprotobuf
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1187491 1187494
TreeView+ depends on / blocked
 
Reported: 2015-01-30 08:50 UTC by Tuomo Soini
Modified: 2015-02-23 16:10 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-02-08 08:58:04 UTC


Attachments (Terms of Use)

Description Tuomo Soini 2015-01-30 08:50:18 UTC
Description of problem:

Update golang-googlecode-goprotobuf-devel-0-0.10.git7f07925.el6 beaks following dependencies on epel6:

package: golang-github-goraft-raft-devel-0-0.3.gite138889.el6.i686 from epel-6-64
  unresolved deps: 
     golang(code.google.com/p/goprotobuf)
package: golang-github-goraft-raft-devel-0-0.3.gite138889.el6.x86_64 from epel-6-64
  unresolved deps: 
     golang(code.google.com/p/goprotobuf)
package: golang-github-influxdb-influxdb-datastore-0.8.5-0.1.git9485e99.el6.x86_64 from epel-6-64
  unresolved deps: 
     golang(code.google.com/p/goprotobuf/proto)
package: golang-github-influxdb-influxdb-devel-0.8.5-0.1.git9485e99.el6.i686 from epel-6-64
  unresolved deps: 
     golang(code.google.com/p/goprotobuf/proto)
package: golang-github-influxdb-influxdb-devel-0.8.5-0.1.git9485e99.el6.x86_64 from epel-6-64
  unresolved deps: 
     golang(code.google.com/p/goprotobuf/proto)

Comment 1 Tuomo Soini 2015-01-30 09:04:50 UTC
Actually I must disagree with this packaging - import path should not change with same package name. This package needs full package review and be imported with correct name without breaking old packages.

Comment 2 Jan Chaloupka 2015-01-30 12:30:58 UTC
Just for curiosity, for what purpose do you use golang devel packages? :) Golang packaging is still young and every feedback is welcomed. Are you using influxdb? As main target for golang packaging is fedora, epel6 is missing some builds. So if you miss one or more, fill a bug for it so I can resolve it or work with you to suite it for your use cases.

Will provide the old import paths in no time. But in the future, if you are developing in golang, I recommend you to switch to the new import paths. Golang has recently moved some of its repos to github and change import paths.

Cheers
Jan

Comment 3 Fedora Update System 2015-01-30 12:47:42 UTC
golang-googlecode-goprotobuf-0-0.11.git7f07925.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-goprotobuf-0-0.11.git7f07925.fc20

Comment 4 Fedora Update System 2015-01-30 12:48:05 UTC
golang-googlecode-goprotobuf-0-0.11.git7f07925.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-googlecode-goprotobuf-0-0.11.git7f07925.fc21

Comment 5 Jan Chaloupka 2015-01-30 12:51:35 UTC
I have removed buildroot override of the latest build, golang-googlecode-goprotobuf-0-0.7.hg61664b8425f3.el6 will be back in about 30 minutes. However, building in epel6 is not broken (repos is not up2date), no epel6 builds are possible. Will build the latest commit as it gets working again.

Comment 6 Fedora Update System 2015-01-30 16:13:19 UTC
golang-googlecode-goprotobuf-0-0.11.git7f07925.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-googlecode-goprotobuf-0-0.11.git7f07925.el6

Comment 7 Fedora Update System 2015-01-30 23:55:47 UTC
Package golang-googlecode-goprotobuf-0-0.11.git7f07925.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing golang-googlecode-goprotobuf-0-0.11.git7f07925.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1444/golang-googlecode-goprotobuf-0-0.11.git7f07925.fc21
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2015-02-08 00:29:46 UTC
golang-googlecode-goprotobuf-0-0.12.git7f07925.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-googlecode-goprotobuf-0-0.12.git7f07925.el6

Comment 9 Fedora Update System 2015-02-08 08:58:04 UTC
golang-googlecode-goprotobuf-0-0.11.git7f07925.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-02-08 08:59:14 UTC
golang-googlecode-goprotobuf-0-0.11.git7f07925.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-02-23 16:10:48 UTC
golang-googlecode-goprotobuf-0-0.12.git7f07925.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.